jump to navigation

Problemi con java in firefox di Ubuntu Intrepid Ibex? Ecco la soluzione 13 febbraio 2009

Posted by melchiorre in Guide, Ubuntu.
Tags: , , , ,
trackback

Aggiornamento: Guida aggiornata a firefox 3.0.6

Se avete provato sulla vostra Intrepid Ibex 8.10 ad avviare in firefox un applicazione java, molto probabilmente un messaggio vi avrà avvisato che nessun plugin è installato, per poi consigliarvi di installare java… ma voi l’avete già installato!

Questo è dovuto ad un problema di collegamenti tra java e firefox. Per risolvere basta ricrearli in questo modo:

Fase preliminare:

Assicurarsi di avere installata java, se non l’avete fatto installate il pacchetto ubuntu-restricted-extras.

Poi da terminale date il comando:

sudo update-alternatives --config java

e scegliete la versione della Sun (nel mio caso /usr/lib/jvm/java-6-sun/jre/bin/java).

Passo 1:

Da terminale date il comando:

sudo sed -i 's/XINERAMA/FAKEEXTN/g' /usr/lib/jvm/java-6-sun-1.6.0.10/jre/lib/i386/xawt/libmawt.so

Passo 2:

Cancelliamo i vecchi link con
sudo rm -r /usr/lib/firefox/plugins/libjava*

sudo rm -r /usr/lib/firefox-plugins/plugins/libjava*

sudo rm -r /usr/lib/firefox-3.0.6/plugins/libjava*

Passo 3:

Da terminale diamo:

sudo update-alternatives --all

Lasciamo  tutto di defualt, ma assicuriamoci che le voci rmiregistry, java, keytool, rmid e orbd abbiano /usr/lib/jvm/java-6-sun/jre/bin/ come alternativa.

Passo 4:

Da terminale diamo:
sudo update-java-alternatives -s $(update-java-alternatives -l | cut -d' ' -f1)
Per riscegliere java della sun nei vari collegamenti.

Passo 5:

L’ultima fase fase consiste nel ricreare i link, questa volta correttamente, di firefox verso java.

Diamo da terminale i seguenti comandi, uno per volta naturalmente.

sudo ln -s /usr/lib/jvm/java-6-sun-1.6.0.10/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/firefox/plugins/
sudo ln -s /usr/lib/jvm/java-6-sun-1.6.0.10/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/firefox-plugins/plugins/
sudo ln -s /usr/lib/jvm/java-6-sun-1.6.0.10/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/firefox-3.0.6/plugins/

Ora dovrevve essere tutto a posto, aprite firefox (se l’avevate già aperto chiudetelo e rilanciatelo) e dalla barra degli indirizzi date about:plugins, dovreste vedere tra i vari plugins anche quello di java.


Commenti»

1. Problemi con java in firefox di Ubuntu Hardy? Ecco la soluzione « Melchiorre’s Weblog - 13 febbraio 2009

[…] Se avete Ubuntu intrepid ibex (8.10) seguite la mia guida aggiornata per questa versione, la trovate cliccando qui. […]

2. Fabio - 14 marzo 2009

Ciao melchiorre..
ho seguito la tua guita alla lettera sperando di risolvere il mio problema.. ma aimè non l’ho risolto.
Tutte le applicazioni che richiedono java mi funzionano tranne la chat di libero! Ti inviterei a provare per verificare..

In pratica se provo ad accedere appare la finestra di caricamento dopo di che firefox crasha.. ho provato di tutto ma proprio non riesco..

Nella 8.04 avevo risolto togliendo il plugin Icedtea o qualcosa del genere.. ora nei plugin ho java(tm) Plug-in 1.6.0_10b33 e anche un GCJ Web Browser Plugin 0.96.1.
Lasciandoli entrambi firefox crasha.. lasciando GCJ l’applet si carica ma sono impossibilitato a scorrere la lista dei nick e mandare messaggi…
Lasciando Java(tm), si va in crash ugualmente…

Aspetto tue notizie e ti ringrazio in anticipo (magari puoi dirmi che plugin riguardanti Java tu hai in firefox..)

3. andrew - 16 marzo 2009

Ciao melchiorre…..ho seguito la tua guida ma non sono riuscito a risolvere il problema.

Ho Ubuntu 8.10, FF 3.0.7 ed ho scaricato via apt-get sun-java6.
Ho provato varie volte in tutte le salse. Ho disinstallato tutto e reinstallato tutto FF compreso. Ho provato a tenere sia il sun-jav6 che openjdk ma non fa differenza.

Il plugin viene rilevato correttamente digitando about:plugins però se vado nella pagina di test per java non me la rileva. Se vado su javatester.org al posto di caricarmi la applet mi compare la scritta “Error. Click for details”. I video su youtube non riesco a vederli.
Però ho notato che in un paio di siti java veniva caricato tanto che vedevo le applet…..io non so più dove sbattere la testa…

secondo me è un bug della 3.0.7 in quanto fino ad alcuni giorni fa java funzionava e idem su un latro pc con la 8.04 ha sempre funzionato, ho aggiornato alla 3.0.7 e ora non funziona più………

riesci a darmi qualche consiglio?

Grazie

4. melchiorre - 16 marzo 2009

Hai rifatto il procedimento sostituendo nelle righe interessate a firefox 3.0.6 firefox 3.0.7?

5. andrew - 16 marzo 2009

si si ovvio:)

ora ho provato sun-java5 e niente…tra l’altro noto che quando deve caricare un applet inizialmente compare il logo java e in un secondo momento il messaggio di errore….

Stesso problema con java + opera….li il messaggio di errore è “Invalid bytecode”….

6. filippo - 12 maggio 2009

anche io ho lo stesso problema con intrepid ibex e java. Dopo aver installato il test sul sito di Java NON va a buon fine…Youtube non va la home page…non so piu cosa fare

7. Paolo - 18 maggio 2009

Stesso discorso come sopra….

8. MadGera - 20 luglio 2009

SEI UN GRANDE!!! a me x ora funziona anke senza cambiando firefox 3.0.7

melchiorre - 21 luglio 2009

Di nulla🙂

9. Silvio - 15 dicembre 2009

ciao melchiorre. Uso Ubuntu 9.10 64 bit.
Ho provato ad installare manualmente java 6 update 5 (purtroppo DEVO installare proprio questa versione per motivi di lavoro).
Ho scaricato il file d’installazione nella home. Eseguo l’installazione da terminale e va tutto ok. Creo il collegamento simbolico di “libjavaplugin_oji.so nella cartella /usr/lib/mozilla/plugins con successo.
Controllo che in firefox>modifica>preferenze>contenuti sia attivata la spunta su “Attiva java”. Ma nel momento che controllo in about:plugins di java nessuna traccia! E infatti java non mi funziona.
Premetto che precedentemente avevo installato sia Sun Java (si bloccava) che Open JDK (si bloccava).
Mi “pare” di averli disinstallati entrambi con successo. Cosa c’è allora che non va?

Silvio - 19 dicembre 2009

melchiorre puoi darmi una mano? mi serve assolutamente installare java 6 update 5 per lavoro.
Grazie

10. melchiorre - 21 dicembre 2009

Non saprei risponderti, prova sul forum di ubuntu


Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: